using System;
using System.Windows.Forms;
using VideoCaptureLibrary;

namespace VideoCaptureLibraryDemo
{
    public partial class CaptureFramesDialog : Form
    {
        private VideoCaptureDevice videoCaptureDevice;
        private int framesCounter = 0;

        public CaptureFramesDialog(VideoCaptureDevice videoCaptureDevice)
        {
            InitializeComponent();
            this.videoCaptureDevice = videoCaptureDevice;
            cancelButton.DialogResult = DialogResult.Cancel;
        }

        public void Clear()
        {
            framesCounter = 0;
            framesTextBox.Text = framesCounter.ToString() + " Frames Captured";
        }

        private void captureButton_Click(object sender, EventArgs e)
        {
            videoCaptureDevice.CaptureSingleFrameToFile();
            framesCounter++;
            framesTextBox.Text = framesCounter.ToString() + " Frames Captured";
        }


    }
}